Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface YieldTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface YieldTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for yield expressions used in generator functions. For example:

     function* id(){
         var index = 0;
         while(index < 10)
             yield index++;
     }

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the expression that is yielded.
`boolean` | `isStar()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this a yield * expression in a generator function?

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getExpression

ExpressionTree getExpression()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the expression that is yielded.

Returns:
  The expression that is yielded.

### isStar

boolean isStar()
Deprecated, for removal: This API element is subject to removal in a future version.
Is this a yield * expression in a generator function? For example:

     function* id(){
         yield 1;
         yield * anotherGeneratorFunc();
         yield 10;
     }

Returns:
  true if this is a yield * expression